import { initCollocation } from "@/modules/collocation";
import { initAuthDef } from "@/modules/_default/auth";
import { ModuleRoot } from "queenjs";
import "../storage";

export class CollocationCtxModule extends ModuleRoot {
  store = {};
  onReady() {
    const auth = initAuthDef();
    auth.actions.on("getUserInfo:success", () => {
      //
    });

    initCollocation({
      config: {
        httpConfig: {
          baseURL: "http://192.168.110.226:62293",
        },
      },
    });
  }
}

export const { initCollocationCtx, useCollocationCtx } =
  CollocationCtxModule.hook("CollocationCtx");
